### Method

# Ide EditorPage get_search

#### Declaration

    IdeEditorSearch*
    ide_editor_page_get_search (
      IdeEditorPage* self
    )

#### Description

Gets the `IdeEditorSearch` used to search within the document.

Available since: | 3.32

Gets property | `Ide.EditorPage:search`

#### Return value

Returns: | `IdeEditorSearch`
| An `IdeEditorSearch`.
| The data is owned by the instance.